org.apache.tinkerpop.gremlin.python.jsr223

## Class PythonTranslator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.python.jsr223.PythonTranslator

- All Implemented Interfaces:
    Translator<String,String>, Translator.ScriptTranslator
  Direct Known Subclasses:
    JythonTranslator

  Deprecated.
  As of release 3.3.10, moved to gremlin-core at `PythonTranslator`

      @Deprecated
      public class PythonTranslator
      extends Object
      implements Translator.ScriptTranslator

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Translator.ScriptTranslator

      `Translator.ScriptTranslator.TypeTranslator`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Translator

      `Translator.ScriptTranslator, Translator.StepTranslator<S extends TraversalSource,T extends Traversal.Admin<?,?>>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `convertLambdaToString(Lambda lambda)` Deprecated.
    `protected String` | `convertToString(Object object)` Deprecated.
    `String` | `getTargetLanguage()` Deprecated. Get the language that the translator is converting the traversal byte code to.
    `String` | `getTraversalSource()` Deprecated. Get the `TraversalSource` representation rooting this translator.
    `static PythonTranslator` | `of(String traversalSource)` Deprecated.
    `static PythonTranslator` | `of(String traversalSource, boolean importStatics)` Deprecated.
    `protected String` | `resolveSymbol(String methodName)` Deprecated.
    `protected String` | `resolveTraversalStrategyProxy(TraversalStrategyProxy proxy)` Deprecated.
    `String` | `toString()` Deprecated.
    `String` | `translate(Bytecode bytecode)` Deprecated. Translate `Bytecode` into a new representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Translator.ScriptTranslator

      `translate`

- - ### Method Detail

    - #### of

          public static PythonTranslator of(String traversalSource,
                                            boolean importStatics)

      Deprecated.

    - #### of

          public static PythonTranslator of(String traversalSource)

      Deprecated.

    - #### getTraversalSource

          public String getTraversalSource()

      Deprecated.
      Description copied from interface: `Translator`
      Get the `TraversalSource` representation rooting this translator. For string-based translators (`Translator.ScriptTranslator`), this is typically a "g". For java-based translators (`Translator.StepTranslator`), this is typically the `TraversalSource` instance which the `Traversal` will be built from.
      Specified by:
        `getTraversalSource` in interface `Translator<String,String>`
      Returns:
        the traversal source representation

    - #### translate

          public String translate(Bytecode bytecode)

      Deprecated.
      Description copied from interface: `Translator`
      Translate `Bytecode` into a new representation. Typically, for language translations, the translation is to a string represenging the traversal in the respective scripting language.
      Specified by:
        `translate` in interface `Translator<String,String>`
      Parameters:
        `bytecode` - the byte code representing traversal source and traversal manipulations.
      Returns:
        the translated object

    - #### getTargetLanguage

          public String getTargetLanguage()

      Deprecated.
      Description copied from interface: `Translator`
      Get the language that the translator is converting the traversal byte code to.
      Specified by:
        `getTargetLanguage` in interface `Translator<String,String>`
      Returns:
        the language of the translation

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### convertToString

          protected String convertToString(Object object)

      Deprecated.

    - #### convertLambdaToString

          protected String convertLambdaToString(Lambda lambda)

      Deprecated.

    - #### resolveSymbol

          protected String resolveSymbol(String methodName)

      Deprecated.

    - #### resolveTraversalStrategyProxy

          protected String resolveTraversalStrategyProxy(TraversalStrategyProxy proxy)

      Deprecated.

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.